import "Turbine.UI"
import "Turbine.UI.Lotro"
import "Turbine.Gameplay"

import "ScarlimPlugins.RecipeTracker.Commands"
import "ScarlimPlugins.RecipeTracker.DropDown"
import "ScarlimPlugins.RecipeTracker.Globals"
import "ScarlimPlugins.RecipeTracker.MainWindow"
import "ScarlimPlugins.RecipeTracker.MinimizedIcon"
import "ScarlimPlugins.RecipeTracker.OptionsPanel"
import "ScarlimPlugins.RecipeTracker.Recipes"
import "ScarlimPlugins.RecipeTracker.Slider"
import "ScarlimPlugins.RecipeTracker.VindarPatch"


pluginName = "Recipe Tracker"

Turbine.Shell.WriteLine("<rgb=#9ACD32>".. pluginName .."</rgb> <rgb=#DDDDDD>v. ".. plugin:GetVersion() .." by Scarlim.</rgb>")

-- Load saved data
CharacterList = PatchDataLoad(Turbine.DataScope.Server, "RecipeTracker_CharacterList");
if not CharacterList then
	CharacterList = {};
end

-- Load settings
Settings = PatchDataLoad(Turbine.DataScope.Account, "RecipeTracker_Settings");
if not Settings then
	Settings = {};
	Settings.windowX = 400;
	Settings.windowY = 200;
	Settings.isWindowVisible = true;
	Settings.isMinimizeEnabled = true;
	Settings.minimizeOpacity = 0.5;
	Settings.minimizeX = 1;
	Settings.minimizeY = Turbine.UI.Display.GetHeight()-32-1;
end

plugin.Unload = function( sender, args )
	Turbine.Shell.WriteLine("<rgb=#9ACD32>".. pluginName ..":</rgb> <rgb=#DDDDDD>Unloading...</rgb>")

	-- Save data, without item infos
	UpdatePlayerData(false);
	PatchDataSave(Turbine.DataScope.Server, "RecipeTracker_CharacterList", CharacterList);

	-- Save settings
	PatchDataSave(Turbine.DataScope.Account, "RecipeTracker_Settings", Settings);
end

plugin.GetOptionsPanel = function(self)
	return OptionsPanel;
end

-- Get the latest local player data, including item info
UpdatePlayerData(true);

-- Set default character to the current character
CurrentCharacter = LocalPlayerCharacter;

CreateMainWindow();
CreateOptionsPanel();

RegisterCommands();